
QGIS Application - Bug report #18759

QGIS Crash when setting South Africa Lo and kml layers (wgs84)

2018-04-18 09:57 PM - Paulo Cardoso

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.0.0 Regression?: No

Operating System: Win10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26646

Description

User Feedback

trying to use ZA projection with kml files (wgs84)

Report Details

Crash ID: 90cda49984b18d03e442e659511e135af0f3228c

Stack Trace

QgsCoordinateTransform::transformBoundingBox :

QgsMapRendererJob::reprojectToLayerExtent :

QgsMapRendererJob::prepareJobs :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererSequentialJob::start :

QgsMapCanvas::startPreviewJob :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 10.0.16299

History

#1 - 2018-04-18 10:56 PM - Nyall Dawson

Can you share data and the epsg code?

#2 - 2018-04-18 10:56 PM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2018-08-19 11:25 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
